net.sf.okapi.common.filterwriter

## Class Parameters

- java.lang.Object
- - net.sf.okapi.common.BaseParameters
  - - net.sf.okapi.common.StringParameters
    - - net.sf.okapi.common.filterwriter.Parameters

- All Implemented Interfaces:
    IParameters, IEditorDescriptionProvider

      public class Parameters
      extends StringParameters
      implements IEditorDescriptionProvider

- - ### Field Summary

    - ### Fields inherited from class net.sf.okapi.common.StringParameters

      `buffer`

    - ### Fields inherited from class net.sf.okapi.common.BaseParameters

      `path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EditorDescription` | `createEditorDescription(ParametersDescription paramsDesc)`
    `ParametersDescription` | `getParametersDescription()` Gets the description of the parameters.
    `java.lang.String` | `getPropValueSep()`
    `boolean` | `isEnableDuplicateProps()`
    `boolean` | `isWriteAllPropertiesAsAttributes()`
    `void` | `reset()` Reset this parameters object to its default values.
    `void` | `setEnableDuplicateProps(boolean duplicateProps)`
    `void` | `setPropValueSep(java.lang.String sep)`
    `void` | `setWriteAllPropertiesAsAttributes(boolean writeAllPropertiesAsAttributes)`

    - ### Methods inherited from class net.sf.okapi.common.StringParameters

      `fromString, getBoolean, getGroup, getInteger, getString, setBoolean, setGroup, setInteger, setString, toString`

    - ### Methods inherited from class net.sf.okapi.common.BaseParameters

      `getPath, load, load, save, setPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Parameters

          public Parameters()

  - ### Method Detail

    - #### reset

          public void reset()

      Description copied from class: `StringParameters`
      Reset this parameters object to its default values.

      Subclasses should override this method to set any initial values and instantiate any objects that require allocation. It is recommended that subclasses also call `super.reset()` in the override to ensure that the buffer is empty.

      Specified by:
        `reset` in interface `IParameters`
      Overrides:
        `reset` in class `StringParameters`

    - #### isWriteAllPropertiesAsAttributes

          public boolean isWriteAllPropertiesAsAttributes()

    - #### setEnableDuplicateProps

          public void setEnableDuplicateProps(boolean duplicateProps)

    - #### isEnableDuplicateProps

          public boolean isEnableDuplicateProps()

    - #### setWriteAllPropertiesAsAttributes

          public void setWriteAllPropertiesAsAttributes(boolean writeAllPropertiesAsAttributes)

    - #### getPropValueSep

          public java.lang.String getPropValueSep()

    - #### setPropValueSep

          public void setPropValueSep(java.lang.String sep)

    - #### getParametersDescription

          public ParametersDescription getParametersDescription()

      Description copied from interface: `IParameters`
      Gets the description of the parameters.
      Specified by:
        `getParametersDescription` in interface `IParameters`
      Overrides:
        `getParametersDescription` in class `BaseParameters`
      Returns:
        the ParametersDescription object for this set of parameters, or null if none is provided.

    - #### createEditorDescription

          public EditorDescription createEditorDescription(ParametersDescription paramsDesc)

      Specified by:
        `createEditorDescription` in interface `IEditorDescriptionProvider`